<template>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href="#"><router-link to="/"> dApp Music </router-link></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <!--div>Icons made by <a href="https://www.flaticon.com/authors/yannick" title="Yannick">Yannick</a> from <a href="https://www.flaticon.com/" title="Flaticon">www.flaticon.com</a> is licensed by <a href="http://creativecommons.org/licenses/by/3.0/" title="Creative Commons BY 3.0" target="_blank">CC 3.0 BY</a></div-->
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href=""><router-link to="/"> Home </router-link><span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href=""><router-link to="/upload"> Upload </router-link></a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Your Profile
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href=""><router-link to="/profile"> Profile </router-link></a>
            <a class="dropdown-item" href=""><router-link to="/likes"> Likes </router-link></a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href=""><router-link to="/log_out"> LogOut </router-link></a>
          </div>
        </li>
      </ul>
      <form class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-2" type="search" placeholder="Search for Artists/ Tracks /Producers" aria-label="Search">
        <button class="btn btn-outline-success my-2 my-sm- searchBtn" type="submit">Search</button>
      </form>
    </div>
  </nav>
</template>

<script>

</script>

<style>

.searchBtn {
  color: black;
  border-color: black;
}

.searchBtn:hover {
  background-color: lightgreen !important;
}


</style>
